<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('courses', function (Blueprint $table) {
            $table->decimal('subscription_price', $precision = 8, $scale = 2);
            $table->unsignedBigInteger('sub_causal_id')->nullable(true);
            $table->foreign('sub_causal_id')->references('id')->on('causals')->onUpdate('cascade')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('courses', function (Blueprint $table) {
            $table->dropColumn('subscription_price');
            $table->dropColumn('sub_causal_id');
        });
    }
};
